--call all files in this directory



-- ===================================================================
-- Minetest Specific Overrides of modpol functions
-- ===================================================================


local localdir = minetest.get_modpath("modpol") .. "/modpol_minetest"

--Users
dofile (localdir .. "/overrides/users.lua")

--orgs
--dofile (localdir .. "/overrides/orgs.lua")

--interactions
dofile (localdir .. "/overrides/interactions.lua")


-- ===================================================================
-- Minetest Chatcommands
-- ===================================================================
dofile (localdir .. "/chatcommands.lua")


-- ===================================================================
-- Minetest Specific code
-- ===================================================================

--add members to the instance, if they are not already there.
minetest.register_on_joinplayer(function(player)
    local p_name = player:get_player_name()
    modpol.instance:add_member(p_name)
end)
